var $ = jQuery;
$(function() {
	//var FacultyID = $('.HiddenInputTeacherFacultyID').val(); // Факультет, к которому привязан преподаватель
	//$('.HiddenInputTeacherFacultyID').remove(); // Тут даже Шерлок Холмс бессилен

	// Для поиска предметов
	$('.InputSubject').keyup(function(){
		//var Faculty = FacultyID;
		if (parseInt($('.SelectFaculty option:selected').val()) > 0)
			var Faculty = $('.SelectFaculty option:selected').val(); 
		var NameFilter = $('.InputSubject').val();
		if (NameFilter.length > 0) {
			$.post(
				'/~dev_rating/handler/map/GetSubjectsList',
				{
					'NameFilter': NameFilter,
					'FacultyID': Faculty
				},
				function(data){
					data = $.parseJSON(data);
					console.log(data);
					$('.SelectSubject ').html('');
					if (parseInt(data.Count) > 0) {
						$('.SelectSubject ').append('<option disabled>Результаты:</option>');
						for (var i = 1; i <= parseInt(data.Count); i++)
							$('.SelectSubject ').append('<option value="'+ data[i].ID +'">'+ data[i].Title +'</option>');
						if (parseInt(data.Count) > 4)
							$('.SelectSubject').attr('size', '4');
						else
							$('.SelectSubject').attr('size', '2');
					}
					else {
						$('.SelectSubject ').append('<option disabled>Нет результатов.</option>');
						$('.SelectSubject').attr('size', '2');
					}
					$('.SelectSubject').show();
				}
			);
		}
		else {
			$('.SelectSubject ').html('');
		}
	});
	$('.SelectSubject').change(function(){
		$('.InputSubject').val($('.SelectSubject option:selected').text());
		$('.SelectSubject').hide();
	});
	$('.InputSubject').focusout(function(){
		var NameFilter = $('.InputSubject').val();
		if (NameFilter.length == 0) {
			$('.SelectSubject ').html('');
			$('.SelectSubject').hide();
		}
	});
})